
;.include ../../lib/fet-models.lib
.include parametric-kst-irf-models.lib

.option plotwinsize=0

;.params Vpwr=24
;.params Vpwr=36
.params ACVin=1
.params Fin=1k
;.params Watts=30 
.params Gain=.975 Rload=8 Rloadx=Rload/2  Rload1m=1m
;.step param Watts list .25 1 4 9  30
;.step param Rloadx list 4 8 16
.params Vin=sqrt(2*Watts*Rload)/Gain
.params per=1/Fin sdur=per/(2*128)
.params tstart= 5*per dur=tstart+5*per

;.fourier {Fin} 3 4 V(Out+,Out-)  V(out+) V(out-)
.fourier {Fin} 3 4 V(out-)


.params Rgs=75R
;.params Rs0=.47

;.params CSbias1=0 CSbias2=0

;.params Vb1=8.82 Vo1=.066
;.params Vb2=8.84 Vo2=-.014

.func vbcalc(A){.35534*A/5+8.1803}
.func vbcalc2(A){.35534*A+8.1803}
; kp needs to be adjusted for lambda
.func vov(I,kp){sqrt(2*I/kp)}  ; assuming square law --- suspect but probably ok for VDMOS models
; for parameteric fet simply divide I by n

;.step param Vb1 8.2 9 .1
;.step param Vo1 0 .2 .05
;.step param Vb2 8 10 .5
;.step param Vo2 -.2 .2 .05

;.params Rs1=Rs0+0 Rs2=.844 Rs3=Rs0+0 Rs4=.514

;#####################
;.params CSbias1=.3A CSbias2=.3A

;.params Vb1=8.79 Vo1=.044
;.params Vb2=8.83 Vo2=.093

;.step param Vb1 5 10 1
;.step param Vo1 0 .2 .05
;.step param Vb2 5 10 .5
;.step param Vo2 -.2 .2 .05

; front-end fundamental levels
.params k1p=Vin/2 k1n=-Vin/2

; simulate harmonic components of front-end
.params k2p=0 k3p=0 k2n=0 k3n=0

; No SE bias, totally balanced, vanilla parameters.
; H2 nulled
;.params N240a=5 N240b=5 N9240a=5 N9240b=5
;.params TotalBias=1.5A CSbiasa1=0A CSbiasa2=0A CSbiasb1=0A CSbiasb2=0A
;.params Vb1=vbcalc(max(N240a,N9240a)*TotalBias), Vo1=.055
;.params Vb2=vbcalc(max(N240b,N9240b)*TotalBias), Vo2=.055
;.params Rs0=0.47 dR12=0 dR34=0
;.params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3
;.params Vb1=8.71 Vo1=.055
;.params Vb2=8.71 Vo2=.055

; 1x SE FET Anti-Phase, vanilla parameters.
; H2=-73.4 H3=-63.3
;.params N240a=4 N240b=5 N9240a=5 N9240b=4
;.params TotalBias=1.5A CSbiasa1=.3A CSbiasa2=0A CSbiasb1=0A CSbiasb2=.3A
;.params Vb1=vbcalc(max(N240a,N9240a)*TotalBias), Vo1=.055
;.params Vb2=vbcalc(max(N240b,N9240b)*TotalBias), Vo2=.055
;.params Vb1=8.71 Vo1=.055
;.params Vb2=8.71 Vo2=.055
;.params Rs0=0.47 dR12=0 dR34=0
;.params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3

; continuously variable number of Anti-Phase SE FETs.  Nse+Npp=5
;.params Nse=0
;.params N240a=5-Nse N240b=5 N9240a=5 N9240b=5-Nse
;.params TotalBias=1.5A CSbiasa1=Nse*TotalBias/5 CSbiasa2=0A CSbiasb1=0A CSbiasb2=Nse*TotalBias/5
;.params Vb1=vbcalc(max(N240a,N9240a)*TotalBias), Vo1=.055
;.params Vb2=vbcalc(max(N240b,N9240b)*TotalBias), Vo2=.055
;.params Vb1=8.71 Vo1=.055
;.params Vb2=8.71 Vo2=.055
;.params Rs0=0.47 dR12=0 dR34=0
;.params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3

;.step param Nse 2 2.5 .1 ; Nse=2.2 has H2=H3

; continuously variable number of In-Phase (negative rail) SE FETs.  Nse+Npp=5
;.params Nse=0 Nfets=5 TotalBias=1.5A  FetBias=TotalBias/Nfets 
;.params N240a=Nfets-Nse N240b=Nfets-Nse N9240a=Nfets N9240b=Nfets ; Results in H2 always nulled.
;.params N240a=Nfets-Nse N240b=Nfets-Nse N9240a=Nfets N9240b=Nfets SEBiasskew=.3A
;.params CSbiasa1=TotalBias-N240a*FetBias-SEBiasskew CSbiasa2=TotalBias-N9240a*FetBias-SEBiasskew
;.params CSbiasb1=TotalBias-N240b*FetBias+SEBiasskew CSbiasb2=TotalBias-N9240b*FetBias+SEBiasskew
;.params Vb1=vbcalc(max(N240a,N9240a)*TotalBias), Vo1=.055
;.params Vb2=vbcalc(max(N240b,N9240b)*TotalBias), Vo2=.055
;.params Rs0=0.47 dR12=0 dR34=0
;.params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3

;.step param Nse 0 3 .5 

V240a VN240a 0 {N240a}
V9240a VN9240a 0 {N9240a}
V240b VN240b 0 {N240b}
V9240b VN9240b 0 {N9240b}

; good example with H2=H3 at 9W
; 4 PP on each phase 0A SE on +phase, .6A SE on -phase
* .params Nse=1 Nfets=5 TotalBias=1.5A  FetBias=TotalBias/Nfets 
* .params N240a=Nfets-Nse N240b=Nfets-Nse N9240a=Nfets N9240b=Nfets 
* .params SEBiasskew=.3A TotalBiasa=TotalBias-SEBiasskew Totalbiasb=TotalBias+SEBiasskew
* .params CSbiasa1=TotalBias-N240a*FetBias-SEBiasskew CSbiasa2=0
* .params CSbiasb1=TotalBias-N240b*FetBias+SEBiasskew CSbiasb2=0
* .params Vb1=vbcalc((TotalBias-min(CSbiasa1,CSbiasa2))*NFETs), Vo1=.055
* .params Vb2=vbcalc((TotalBias-min(CSbiasb1,CSbiasb2))*NFETs), Vo2=.055
* .params Rs0=0.47 dR12=0 dR34=0
* .params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3
;.step param SEBiasskew .15 .3A .05A
;.step param SEBiasskew 0A .3A .1A
;.step param Nse 0 3 .5 

; Single CS on B phase +rail
; SEB+     5 PP on A-phase , 4 PP on B-phase 
; doesn't work to balance H2 and H3 without excessive CSbiasb1
* .params Nse=1 Nfets=5 TotalBias=1.5A  FetBias=TotalBias/Nfets 
* .params N240a=Nfets N240b=Nfets-Nse N9240a=Nfets N9240b=Nfets 
* .params SEBiasskew=.3A TotalBiasa=TotalBias-SEBiasskew Totalbiasb=TotalBias+SEBiasskew
* .params CSbiasa1=0 CSbiasa2=0
* .params CSbiasb1=(NFets-N240b)*FetBias+SEBiasskew CSbiasb2=0
* .params Vb1=vbcalc((TotalBias)*NFETs), Vo1=.055
* .params Vb2=vbcalc((TotalBias-min(CSbiasb1,CSbiasb2))*NFETs), Vo2=.055
* .params Rs0=0.47 dR12=0 dR34=0
* .params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3
;.step param SEBiasskew .15 .3A .05A
;.step param SEBiasskew 0A .6A .1A
;.step param Nse 0 3 .5 

; Anti-phase SEA+ SEB-   useful experiment
; continuously variable number of Anti-Phase SE FETs on opposing rails.  Nse+Npp=5
* .params Nse=2 Nfets=5 TotalBias=1.5A  FetBias=TotalBias/Nfets 
* ;.params N240a=Nfets-Nse N240b=Nfets-Nse N9240a=Nfets N9240b=Nfets ; Results in H2 always nulled.
* .params N240a=Nfets-Nse N240b=Nfets N9240a=Nfets N9240b=Nfets-Nse 
* .params SEBiasskew=.0A TotalBiasa=TotalBias-SEBiasskew Totalbiasb=TotalBias+SEBiasskew
* .params CSbiasa1=TotalBias-N240a*FetBias-SEBiasskew CSbiasa2=0
* .params CSbiasb1=0 CSbiasb2=TotalBias-N9240b*FetBias-SEBiasskew
* .params Vb1=vbcalc((TotalBias-min(CSbiasa1,CSbiasa2))*NFETs), Vo1=.055
* .params Vb2=vbcalc((TotalBias-min(CSbiasb1,CSbiasb2))*NFETs), Vo2=.055
* .params Rs0=0.47 dR12=0 dR34=0
* .params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3
* .step param SEBiasskew -.3 .3 .1
* ;.step param Nse 0 3 .5 

; IN-phase SEA+ SEB+    H2=0 with equal #SE fets and SEBiasskew=0
; continuously variable number of SE FETs on +rails.  Nse+Npp=5
* .params Nse=2 Nfets=5 TotalBias=1.5A  FetBias=TotalBias/Nfets 
* ;.params N240a=Nfets-Nse N240b=Nfets-Nse N9240a=Nfets N9240b=Nfets ; Results in H2 always nulled.
* .params N240a=Nfets-Nse N240b=Nfets-Nse N9240a=Nfets N9240b=Nfets 
* .params SEBiasskew=.0A TotalBiasa=TotalBias-SEBiasskew Totalbiasb=TotalBias+SEBiasskew
* .params CSbiasa1=TotalBias-N240a*FetBias-SEBiasskew CSbiasa2=0
* .params CSbiasb2=0 CSbiasb1=TotalBias-N240b*FetBias+SEBiasskew
* .params Vb1=vbcalc((TotalBias-min(CSbiasa1,CSbiasa2))*NFETs), Vo1=.055
* .params Vb2=vbcalc((TotalBias-min(CSbiasb1,CSbiasb2))*NFETs), Vo2=.055
* .params Rs0=0.47 dR12=0 dR34=0
* .params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3
* .step param SEBiasskew -.3 .3 .1
* ;.step param Nse 0 3 .5 



; ##################
; continuously variable numbers of SE FES in all quadrants
; SEAbal -5:+5 and SEBbal -5:+5 
; Still cannot get enough H2/H3
* .params FetBias=TotalBias/Nfets
* ;.params SEAbal=5 SEBbal=0
* .params NSEAp=max(0,SEAbal) NSEAn=max(0,-SEAbal)
* .params NSEBp=max(0,SEBbal) NSEBn=max(0,-SEBbal)
* .params N240a=max(1u,NFETs-NSEAp) N9240a=max(1u,Nfets-NSEAn)
* .params N240b=max(1u,NFETs-NSEBp) N9240b=max(1u,Nfets-NSEBn)
* .params CSbiasa1=NSEAp*FetBias CSbiasa2=NSEAn*FetBias
* .params CSbiasb1=NSEBp*FetBias CSbiasb2=NSEBn*FetBias
* .params Vb1=vbcalc2((TotalBias-min(CSbiasa1,CSbiasa2))), Vo1=.055
* .params Vb2=vbcalc2((TotalBias-min(CSbiasb1,CSbiasb2))), Vo2=.055
* .params Rs0=0.47 dR12=0 dR34=0
* .params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3
* .step param SEAbal 0 4 1
* ;.step param SEAbal 0 2 .5
* ;.params TotalBias=1.5A Nfets=5 SEAbal=2.5 SEBbal=0 
* .params TotalBias=1.7A Nfets=5 SEAbal=2 SEBbal=-SEAbal ; looks good
* ;.params TotalBias=1.5A Nfets=6 SEAbal=2 SEBbal=-2
* ;.params TotalBias=1.5A Nfets=5 SEAbal=1 SEBbal=-SEAbal
* ;.step param SEBbal SEAbal 5 1

;.params Watts=3.125

;.step param Watts list  1 4  30 .25 9 

.func VDMOSvbcalc(I,vt,kp,rs){I*rs + vt + sqrt(2*I/kp)}   
; Cordell parameters - without Kst model  - I do not know the equations
.params vt240=4 lam240=.0032 kp240=4.8*(1+lam240*vpwr) vt9240=3.76 lam9240=.004 kp9240=9*(1+lam9240*vpwr)


* ; ##################
* ; anti-symmetric with NSEBn>0, NSBn>0, I suspect SEAp=1, SEBn=1 will suffice
* ; continuously vary SETotalBias while adjusting PP current for balance and TotalBias
* ;.params SEAbal=5 SEBbal=0
* .params NSEAp=max(0,SEAbal) NSEAn=max(0,-SEAbal)
* .params NSEBp=max(0,SEBbal) NSEBn=max(0,-SEBbal)
* .params N240a=max(1u,NFETsA-NSEAp) N9240a=max(1u,NfetsA-NSEAn)
* .params N240b=max(1u,NFETsB-NSEBp) N9240b=max(1u,NfetsB-NSEBn)
* .params CSbiasa1=SETotalBiasA CSbiasa2=0
* .params CSbiasb1=0 CSbiasb2=SETotalBiasB
* .params Vb1p=VDMOSvbcalc((TotalBias-SETotalBiasA)/N240a, vt240, kp240,rs1)
* .params Vb1n=VDMOSvbcalc((TotalBias)/N9240a, vt9240, kp9240,rs2)
* .params Vb2p=VDMOSvbcalc((TotalBias)/N240b, vt240, kp240,rs3)
* .params Vb2n=VDMOSvbcalc((TotalBias-SETotalBiasB)/N9240b, vt9240, kp9240,rs4)

* * .params Rs0=0.47 dR12=0 dR34=0
* * .params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3
* * .params TotalBias=1.7A Nfets=5 SEAbal=1 SEBbal=-SEAbal 
* * ;.params SETotalBiasA=0A SETotalBiasB=0A
* * .params SETotalBiasA=.6 SETotalBiasB=.7*SETotalBiasA
* * ;.step param SETotalBiasA 0 .9 .3
* * ;.step param SETotalBiasB 0 .9 .3
* * ;.step param SETotalBiasB .6 .7 .025 ; out- h2 phase flip between .65 and .675 near .65
* * .step param SETotalBiasB .1 .4 .1
* * .step param TotalBias list 1.5 1.6 1.7

* .params Rs0=0.47 dR12=0 dR34=0
* .params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34 
* ;.params TotalBias=1.6A NFetsA=5 NFetsB=5 SEAbal=1 SEBbal=-SEAbal SETotalBiasA=.3 SETotalBiasB=.3
* .params TotalBias=3.7A NFetsA=19 NFetsB=19 SEAbal=6 SEBbal=2 SETotalBiasA=1.8 SETotalBiasB=.6
* ;.step param SETotalBiasB .0 .3 .1
* ;.step param SETotalBiasA 1.6 2.0 .1
* ;.step param TotalBias list 1.5 1.6 1.7


; ##################
; anti-symmetric with NSEBn>0, NSBn>0, I suspect SEAp=1, SEBn=1 will suffice
; continuously vary SETotalBias while adjusting PP current for balance and TotalBias
;.params CSbiasa1=SETotalBiasA CSbiasa2=0 CSbiasb1=0 CSbiasb2=SETotalBiasB
*.params Vb1p=VDMOSvbcalc((TotalBias-SETotalBiasA)/N240a, vt240, kp240,rs1)
*.params Vb1n=VDMOSvbcalc((TotalBias)/N9240a, vt9240, kp9240,rs2)
*.params Vb2p=VDMOSvbcalc((TotalBias)/N240b, vt240, kp240,rs3)
*.params Vb2n=VDMOSvbcalc((TotalBias-SETotalBiasB)/N9240b, vt9240, kp9240,rs4)
.params Vb1p=VDMOSvbcalc((TotalBias-CSbiasa1)/N240a, vt240, kp240,rs1)
.params Vb1n=VDMOSvbcalc((TotalBias-CSbiasa2)/N9240a, vt9240, kp9240,rs2)
.params Vb2p=VDMOSvbcalc((TotalBias-CSbiasb1)/N240b, vt240, kp240,rs3)
.params Vb2n=VDMOSvbcalc((TotalBias-CSbiasb2)/N9240b, vt9240, kp9240,rs4)

* .params Rs0=0.47 dR12=0 dR34=0
* .params Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34   ; H2=H3
* .params TotalBias=1.7A Nfets=5 SEAbal=1 SEBbal=-SEAbal 
* ;.params SETotalBiasA=0A SETotalBiasB=0A
* .params SETotalBiasA=.6 SETotalBiasB=.7*SETotalBiasA
* ;.step param SETotalBiasA 0 .9 .3
* ;.step param SETotalBiasB 0 .9 .3
* ;.step param SETotalBiasB .6 .7 .025 ; out- h2 phase flip between .65 and .675 near .65
* .step param SETotalBiasB .1 .4 .1
* .step param TotalBias list 1.5 1.6 1.7

;.params Rs0=0.47 dR12=0 dR34=0 Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34 
;.params Vpwr=36 TotalBias=4.4A N240a=19 N9240a=16 N240b=19 N9240b=24  SETotalBiasA=2.2 SETotalBiasB=1.
;.params Vpwr=36 TotalBias=4.4A N240a=15 N240b=18 N9240a=18 N9240b=15  SETotalBiasA=1 SETotalBiasB=1.
;.params Vpwr=36 TotalBias=4.4A N240a=18 N240b=18 N9240a=15 N9240b=20  SETotalBiasA=1.2 SETotalBiasB=1.
;.params Vpwr=36 TotalBias=4.4A N240a=17 N240b=18 N9240a=15 N9240b=19  SETotalBiasA=1.1 SETotalBiasB=1.3
;.params Vpwr=36 TotalBias=4.5A N240a=16 N240b=18 N9240a=15 N9240b=18  SETotalBiasA=2.0 SETotalBiasB=2.2
;.params Vpwr=36 TotalBias=4.5A N240a=15 N240b=18 N9240a=15 N9240b=16  SETotalBiasA=2.0 SETotalBiasB=2.2
;.params Vpwr=36 TotalBias=4.4A N240a=18 N240b=34-N240a N9240a=15 N9240b=35-N9240a SETotalBiasA=1.2 SETotalBiasB=1.
;.params Vpwr=36 TotalBias=4.4A N240a=17 N240b=34-N240a N9240a=16 N9240b=35-N9240a SETotalBiasA=1.2 SETotalBiasB=1.

;.step param N240a 17 19 1
;.step param N9240a 13 15 1

;.step param SETotalBiasB .8 1.3 .1
;.step param SETotalBiasA .3 .6 .1
;.step param TotalBias list 1.5 1.6 1.7


;.params CSbiasa1=SETotalBiasA CSbiasa2=0 CSbiasb1=0 CSbiasb2=SETotalBiasB ; antisymmetric
;.params Vpwr=24 TotalBias=1.7A N240a=3 N240b=9-N240a N9240a=9-N9240b N9240b=3 SETotalBiasA=.6 SETotalBiasB=SETotalBiasA ; .6
;.params Vpwr=24 TotalBias=1.7A N240a=4 N240b=9-N240a N9240a=9-N9240b N9240b=4 SETotalBiasA=.3 SETotalBiasB=.3

; #######################   XA30.8  #######################
;.params CSbiasa1=0 CSbiasb1=0 CSbiasa2=SETotalBiasA CSbiasb2=SETotalBiasB ; SE on negative rail
;.params Vpwr=24 SEipf=0 TotalBias=1.7A N240a=9-N9240a N240b=9-N9240b N9240a=3 N9240b=5 SETotalBiasA=SEipf*(5-N9240a) SETotalBiasB=SEipf*(5-N9240b) ; .6
;.params Vpwr=24 SEipf=0 TotalBias=1.7A N240a=9-N9240a N240b=9-N9240b N9240a=3 N9240b=5 SETotalBiasA=.6 SETotalBiasB=0
;.params Vpwr=24 SEipf=0 TotalBias=1.7A N240a=7 N240b=3 N9240a=3 N9240b=5 SETotalBiasA=.6 SETotalBiasB=0
; flip the sides  - results the same but flipped
;.params Vpwr=24 SEipf=0 TotalBias=1.7A N240b=7 N240a=3 N9240b=3 N9240a=5 SETotalBiasB=.6 SETotalBiasA=0

;.params Vpwr=24 SEipf=0 TotalBias=1.5A N240a=7 N240b=3 N9240a=3 N9240b=5 SETotalBiasA=.3 SETotalBiasB=0; flip the sides  - results the same but flipped


; #######################   XA30.8  #######################
;.params Vpwr=24 SEipf=0 TotalBias=1.5A N240b=7 N240a=3 N9240b=3 N9240a=5 CSbiasa1=0 CSbiasb1=0 CSbiasb2=.3 CSbiasa2=0
;.params Vpwr=24 SEipf=0 TotalBias=1.5A N240b=7 N240a=3 N9240b=3 N9240a=5 CSbiasa1=0.3 CSbiasb1=0 CSbiasb2=.3 CSbiasa2=0 ; h2/h3=18dB h3=-73dB at 3.125W
;.params Vpwr=24 SEipf=0 TotalBias=1.5A N240a=3 N240b=6 N9240a=5 N9240b=3 CSbiasa1=0.3 CSbiasb1=0 CSbiasb2=.3 CSbiasa2=0 ; h2/h3=18dB h3=-73dB at 3.125W
;.params Vpwr=24 SEipf=0 TotalBias=1.5A N240a=3 N240b=6 N9240a=6 N9240b=3 CSbiasa1=0.3 CSbiasb1=0 CSbiasb2=.3 CSbiasa2=0 ; h2/h3=18dB h3=-72dB at 3.125W  ; 3/6 highly asymmetric
;.params Vpwr=24 SEipf=0 TotalBias=1.5A N240b=6 N240a=3 N9240b=3 N9240a=6 CSbiasa1=.4 CSbiasb1=0 CSbiasb2=.4 CSbiasa2=0  ; 18dB h2/h3 at 3.125W
;.params Vpwr=24 SEipf=0 TotalBias=1.5A N240b=5 N240a=4 N9240b=4 N9240a=5 CSbiasa1=1.4 CSbiasb1=0 CSbiasb2=1.4 CSbiasa2=0  ; 18dB h2/h3 at 3.125W but h2 differs between out+ h2 is 13dB below out- 
.params Vpwr=24 SEipf=0 TotalBias=1.6A N240b=5 N240a=4 N9240b=4 N9240a=5 CSbiasa1=.3 CSbiasb1=0 CSbiasb2=.3 CSbiasa2=0  ; 9dB h2/h3 h3=-77dB at 3.125W 
;.step param CSbiasa1 .3 1 .3
;.step param Rs4 .5 2 .5
;.step param Rs1 .5 .6 .1
.step param Watts list 1  3.125 30




; #######################   XA200.8  #######################
;.params Vpwr=34 SEipf=0 TotalBias=3.6A N240b=19 N240a=12 N9240b=12 N9240a=19 CSbiasa1=.6 CSbiasb1=0 CSbiasb2=.6 CSbiasa2=0
; XA200.8 this is the best so far --- get 28dB h2/h3 at 5V rms
;.params Vpwr=34 SEipf=0 TotalBias=4.4A N240b=24 N240a=(33-N240b) N9240b=10 N9240a=(33-N9240b) CSbiasa1=1.2 CSbiasb2=CSbiasa1 CSbiasa2=0 CSbiasb1=0  ; 4.7A total bias
;.params Vpwr=34 SEipf=0 TotalBias=4.5A N240b=24 N240a=(33-N240b) N9240b=10 N9240a=(33-N9240b) CSbiasa1=2.5 CSbiasb2=CSbiasa1 CSbiasa2=0 CSbiasb1=0 
; XA200.8  get 27dB h2/h3 at 5V rms
;.params Vpwr=34 SEipf=0 TotalBias=4.4A N240b=23 N240a=(33-N240b) N9240b=11 N9240a=(33-N9240b) CSbiasa1=1.2 CSbiasb1=0 CSbiasb2=1.2 CSbiasa2=0
; XA200.8  get 26dB h2/h3 at 5V rms
;.params Vpwr=34 SEipf=0 TotalBias=4.4A N240b=22 N240a=(33-N240b) N9240b=12 N9240a=(33-N9240b) CSbiasa1=1.2 CSbiasb1=0 CSbiasb2=1.2 CSbiasa2=0

; extreme example - doesn't work for 200W class-A
;.params Vpwr=34 SEipf=0 TotalBias=4.5A N240b=34 N240a=2 N9240b=2 N9240a=34 CSbiasa1=3.9 CSbiasb1=0 CSbiasb2=3.9 CSbiasa2=0
;.params Vpwr=34 SEipf=0 TotalBias=4A N240b=20 N240a=7 N9240b=5 N9240a=18 CSbiasa1=3.0 CSbiasb1=0 CSbiasb2=3.4 CSbiasa2=0
; an attempt to have 4 fets on each phase for CCS h2/h3 20dB is best I can do
;.params Vpwr=34 SEipf=0 TotalBias=4.5A N240b=18 N240a=14 N9240b=14 N9240a=18 CSbiasa1=3.4 CSbiasb1=0 CSbiasb2=3.4 CSbiasa2=0 

.params Rs0=0.47 dR12=0 dR34=0 Rs1=Rs0+dR12 Rs2=Rs0-dR12 Rs3=Rs0+dR34 Rs4=Rs0-dR34

;.step param Rloadx list 4 8
.params Watts= 3.125
;.step param Watts list 1  3.125 30
;.step param Watts list  3.125 200
;.step param N240a 3 4 1
;.step param N240b 22 24 1
;.step param N9240b 10 12 1
;.step param CSbiasa1 1 3 .5
;.step param CSbiasb2 .5 3 .5
;.step param SETotalBiasA .0 .6 .2
;.step param SEipf 0 .6 .2

;#####################
; vanilla source resistors and identical FET bias currents
; results in H2=-73dB H3=-63dB at 9 Watts
;.params CSbias1=.3A CSbias2=.3A
;.params Vb1=8.71 Vo1=.055
;.params Vb2=8.71 Vo2=.055
;.params dR12=0 dR34=0
;.params Rs1=.47+dR12 Rs2=.47-dR12 Rs3=.47+dR34 Rs4=.47-dR34 


;#####################
; equalize H2 and H3 in each half

;.params CSbias1=.3A CSbias2=.6A
;.params Vb1=8.9 Vo1=.074
;.params Vb2=8.76 Vo2=.063
;.params dR12=0 dR34=-.15
;.params Rs1=.47+dR12 Rs2=.47-dR12 Rs3=.47+dR34 Rs4=.47-dR34   ; H2=H3

;.step param Vb1 8.5 9 .1
;.step param Vo1 0 .2 .05
;.step param Vb2 8.5 9 .1
;.step param Vo2 -.2 .2 .05
;.step param dR12 -.2 .2 .1
;.step param dR34 -.3 .3 .1



;#####################
;  
